Name:		python-netcf
Version:	0.1.0
Release:	2%{?dist}
Summary:	Python bindings to netcf
Group:		Development/Languages
License:	LGPLv2+
URL:		http://fedorahosted.org/netcf/
Source0:	http://lsjostro.fedorapeople.org/python-netcf/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# Requries is need as it's no way for rpmbuild resolve the deps by it self.
Requires:	netcf-libs 
BuildArch:	noarch

BuildRequires:	python-setuptools python-devel

%description
Python bindings for netcf.

%prep
%setup -q


%build
%{__python} setup.py build_ext -i
%{__python} setup.py build

%check
%{__python} setup.py test

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README
%{python_sitelib}/netcf.py*
%{python_sitelib}/*netcf*.egg-info

%changelog
* Wed Dec 18 2010 Lars Sjostrom <lars.sjostrom@redhat.com> - 0.1.0-2
- Changed %description 
- Removed CFLAGS as it's unneeded for noarch. 
- Added a proper URL to Source.
- Added %check

* Wed Dec 1 2010 Lars Sjostrom <lars.sjostrom@redhat.com> - 0.1.0-1
- initial version
